Get Zone Statistics (Yearly)
curl -X GET "https://api.5centscdn.com/v2/dns/example_string/statistics/yearly" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/dns/example_string/statistics/yearly"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/dns/example_string/statistics/yearly", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/dns/example_string/statistics/yearly", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/dns/example_string/statistics/yearly')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": {
"2025": "487000",
"2026": "520000"
},
"options": {
"months": {
"01": "Jan",
"02": "Feb"
},
"years": [
"2026",
"2025"
]
},
"message": "example_string"
}
GET
/dns/{dnsId}/statistics/yearlyGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
dataobject
Map of year string keys to total DNS query counts for that year.
optionsobject
Navigation and filter options for the statistics view.
monthsobject
Map of two-digit month number to abbreviated month name.
yearsstring[]
Array of years for which statistics are available.
messagestring
Optional informational message accompanying the response.
Was this page helpful?